
local PANEL = {}

AccessorFunc( PANEL, "m_bSelected", "Selected" )

surface.CreateFont( "DefaultSmall", 13, 700, false, false, "PACFont" )


/*---------------------------------------------------------
   Name: Init
---------------------------------------------------------*/
function PANEL:Init()

	self:SetTextInset( 32 )
	self:SetContentAlignment( 4 )

end

/*---------------------------------------------------------
   Name: PerformLayout
---------------------------------------------------------*/
function PANEL:PerformLayout()

end

/*---------------------------------------------------------

---------------------------------------------------------*/
function PANEL:Paint()

	derma.SkinHook( "Paint", "TreeNodeButton", self )
	
	return false

end


/*---------------------------------------------------------
   Name: PerformLayout
---------------------------------------------------------*/
function PANEL:ApplySchemeSettings()

	DLabel.ApplySchemeSettings( self )
	
	self:SetTextColor( Color( 255, 255, 255, 255 ) )
	self:SetFont( "DefaultSmall" )
	
	DLabel.ApplySchemeSettings( self )
	
end




derma.DefineControl( "PAC_Node_Button", "PAC Node Button", PANEL, "DButton" )