/*

 _______     _        ______  
|_   __ \   / \     .' ___  | 
  | |__) | / _ \   / .'   \_| 
  |  ___/ / ___ \  | |        
 _| |_  _/ /   \ \_\ `.___.'\ 
|_____||____| |____|`.____ .'
 
*/

local PANEL = {}

AccessorFunc( PANEL, "m_bSelected",				"Selected" )

/*---------------------------------------------------------
   Name: Init
---------------------------------------------------------*/
function PANEL:Init()

	self:SetTextInset( 32 )
	self:SetContentAlignment( 4 )

end

/*---------------------------------------------------------
   Name: PerformLayout
---------------------------------------------------------*/
function PANEL:PerformLayout()
		
end

/*---------------------------------------------------------

---------------------------------------------------------*/
function PANEL:Paint()

	derma.SkinHook( "Paint", "TreeNodeButton", self )
	
	//
	// Draw the button text
	//
	return false

end


/*---------------------------------------------------------
   Name: PerformLayout
---------------------------------------------------------*/
function PANEL:ApplySchemeSettings()

	derma.SkinHook( "Scheme", "Button", self )
	derma.SkinHook( "Scheme", "TreeNodeButton", self )

end




derma.DefineControl( "PAC_Tree_Node_Button", "PAC Tree Node Button", PANEL, "DButton" )