TOOL.Category = "Poser"
TOOL.Name = "PAC"
TOOL.Command = nil
TOOL.ConfigName = ""
local TOOL = TOOL
TOOL.togglewear = true
TOOL.wearing = {}
TOOL.REFFED = false

require("datastream") --Shamefull CapsAdmin

local filetable = {}
function TOOL:GetFiles( )
	for key, value in pairs( file.Find( "PAC/*" ) ) do
		if value:find("outfits") then
			filetable["outfits"] = {}
			for setkey, set in pairs(file.Find("PAC/outfits/*")) do
				filetable["outfits"][set] = {set}
				for partkey, parts in pairs(file.Find("PAC/outfits/" .. set .. "/*.txt")) do
					filetable["outfits"][set][partkey] = parts
				end
			end
		else
			filetable[key] = value:Replace(".txt", "")
		end	
	end
	return filetable
end

if CLIENT then 
	language.Add( "Tool_PAC_name", "The Player Appearance Customizer" )
	language.Add( "Tool_PAC_desc", "Create your own appearance using props!" )
	language.Add( "Tool_PAC_0", "" )
	
	RunConsoleCommand("pac_refresh")
	
	local serverfiles = {}
	
	datastream.Hook( "PAC_Files",
	
	function( handler, id, encoded, decoded )
		serverfiles = decoded
		print("REF",TOOL.REFFED)
		if !TOOL.REFFED then
			TOOL.REFFED = true
			TOOL:RefreshList(false)
		else
			TOOL:RefreshList(true)
		end
	end)
	
	datastream.Hook( "PAC_PartInfo",
		
	function( handler, id, encoded, decoded )
		PAC_OUTFIT = {} // The outfits table
		PAC_OUTFIT.PARTS = {} //The parts inside that
	
		LocalPlayer().currentoutfit = LocalPlayer().currentoutfit or {}
		LocalPlayer().servercurrentoutfit = {}
		for key, t in pairs(decoded) do
			LocalPlayer().servercurrentoutfit[key] = t
		end
		table.Merge(LocalPlayer().currentoutfit,LocalPlayer().servercurrentoutfit)
		local editor = vgui.Create("PAC_Editor")
		if LocalPlayer().currentoutfit and ValidPanel(editor) then
			for key, part in pairs(LocalPlayer().currentoutfit) do
				editor:LoadPart(part)
			end
		end
	end)
	
	function TOOL:RefreshList(remake)
		local cPanel = GetControlPanel( "PAC" )       
		cPanel:ClearControls()
		print(remake)
		if remake then
			TOOL.BuildCPanel( cPanel )
		end
	end
	
	concommand.Add("pac_makeclient",
	
	function(ply, command, arguments)
		if cur_outfit_name then
			local str = string.Implode(" ", arguments)
			file.Write("PAC/outfits/".. cur_outfit_name .. "/" .. arguments[1] .. ".txt", str )
			if arguments[19] == "true" then
				file.Write("PAC/".. arguments[1] .. ".txt", str )
			end
			ply:ConCommand("pac_refresh")
		end
	end)
	
	concommand.Add("pac_newoutfitclient",
	
	function(ply, command, arguments)
		file.CreateDir("PAC/outfits/"..arguments[1])
		ply:ConCommand("pac_refresh")
		cur_outfit_name = arguments[1]
	end)
	
	concommand.Add("pac_removepartsclient",
	function()
		LocalPlayer().currentoutfit = {}
	end)

	concommand.Add("pac_removepartclient",
	function(ply,command,arguments)
		LocalPlayer().currentoutfit[arguments[1]] = nil
	end)
	
	function TOOL:AddParts( node, t, server_or_client )
		if server_or_client == "client" then
		
			local setnodes = node:AddNode("Outfits")
			
			for key, rootpart in pairs(t) do	
				if type(rootpart) == "string" then
					local part = node:AddNode(rootpart)
										
					part.Bold = true
					
					if TOOL.wearing[rootpart] then
						part:SetText(rootpart)
						part:SetText(rootpart)
					end
					
					local togglewear = true
					
					function part:DoClick()
						LocalPlayer():EmitSound("ambient/materials/rock4.wav", 100, math.random(90, 110))
						if togglewear then
							local dirstring = "PAC/" .. rootpart .. ".txt"
							part:SetText(rootpart)
							TOOL:WearClient(dirstring)
							togglewear = false
							TOOL.wearing[rootpart] = true
						else
							part:SetText(rootpart)
							RunConsoleCommand("pac_removepart", rootpart)
							RunConsoleCommand("pac_removepartclient", rootpart)
							togglewear = true
							TOOL.wearing[rootpart] = nil
						end
					end
				end
			end
		
			for key, outfit in pairs(t["outfits"]) do
			
				local set = setnodes:AddNode(key)
				local togglewear = true
				function set:DoClick()
					LocalPlayer():EmitSound("ambient/materials/rock4.wav", 100, math.random(90, 110))
					local dirstring = "PAC/outfits/" .. key .. "/"
					if togglewear then
						for _, value in pairs(file.Find( dirstring .. "*" )) do
							TOOL:WearClient(dirstring .. value)
						end
						togglewear = false
						set:SetText(key)
					else
						for _, value in pairs(file.Find( dirstring .. "*" )) do
							RunConsoleCommand("pac_removepart", value:Replace(".txt", ""))
						end
						togglewear = true
						set:SetText(key)
					end
				end
				
			end
			
		else
		
			local setnodes = node:AddNode("Outfits")
			
			for key, rootpart in pairs(t) do	
				if type(rootpart) == "string" then
					local part = node:AddNode(rootpart)
					local togglewear = true
					function part:DoClick()
						LocalPlayer():EmitSound("ambient/materials/rock4.wav", 100, math.random(90, 110))
						if togglewear then
							RunConsoleCommand("pac_wearserver", rootpart)
							part:SetText(rootpart)
							togglewear = false
						else
							togglewear = true
							RunConsoleCommand("pac_removepart", rootpart)
							part:SetText(rootpart)
						end
					end
				end
			end

			for key, outfit in pairs(t["outfits"]) do
				
				local set = setnodes:AddNode(key)
				local togglewear = true
				function set:DoClick()
					LocalPlayer():EmitSound("ambient/materials/rock4.wav", 100, math.random(90, 110))
					if togglewear then
						for _, part in pairs(t["outfits"][key]) do
							part = string.gsub(part, ".txt", "")
							part = "outfits/"..key.."/"..part
							RunConsoleCommand("pac_wearserver", part)
						end
						togglewear = false
						set:SetText(key)
					else
						for _, part in pairs(t["outfits"][key]) do
							part = string.gsub(part, ".txt", "")
							part = "outfits/"..key.."/"..part
							RunConsoleCommand("pac_removepart", part)
						end
						togglewear = true
						set:SetText(key)
					end
				end
			end
			
		end
	end
	
	function TOOL:WearClient(path)
		local arguments = string.Explode(" ", file.Read(path))
		
		local name = arguments[1]
		local model = arguments[2]

		local x = arguments[3]
		local y = arguments[4]
		local z = arguments[5]

		local scale = arguments[6]

		local pitch = arguments[7]
		local yaw = arguments[8]
		local roll = arguments[9]

		local scalex = arguments[10]
		local scaley = arguments[11]
		local scalez = arguments[12]

		local r = arguments[13]
		local g = arguments[14]
		local b = arguments[15]
		local a = arguments[16]

		local bone = arguments[17]

		local material = arguments[18]
		LocalPlayer().currentoutfit = LocalPlayer().currentoutfit or {}
		LocalPlayer().currentoutfit[name] = arguments
		
		RunConsoleCommand("pac_wearclient", name, model, x, y, z, scale, pitch, yaw, roll, scalex, scaley, scalez, r, g, b, a, bone, material)	
	end
	
	concommand.Add("pac_editor",
	function()
	local editor = vgui.Create("PAC_Editor")
		if LocalPlayer().currentoutfit then
			for key, part in pairs(LocalPlayer().currentoutfit) do
				editor:LoadPart(part)
			end
		end
	end)
	
	function TOOL.BuildCPanel( cPanel )
		local tree = vgui.Create( "PAC_Tree", cPanel )
		cPanel:AddPanel( tree )
		tree:SetTall( 500 )
		local client = tree:AddNode( "Client" )
		local server = tree:AddNode( "Server" )
		
		local noTable = {"Refresh me", "outfits"}
		
		local clientfiles = TOOL:GetFiles()

		TOOL:AddParts( client, clientfiles or noTable, "client" )
		TOOL:AddParts( server, serverfiles or noTable, "server" )
		cPanel:AddControl( "Button", 
		{
			Label = "Open Editor",
			Command = "pac_requestserverparts"
		})
		
		cPanel:AddControl( "Button", 
		{
			Label = "Remove everything you are wearing",
			Command = "pac_removeparts;pac_removepartsclient"
		}) 
		
		cPanel:AddControl( "Button", 
		{
			Label = "Refresh",
			Command = "pac_refresh"
		})
	end
end

if SERVER then

	hook.Add("PlayerInitialSpawn", "pac_playerspawn",
	
	function( ply )
		ply.pacparts = {}
		ply.currentoutfit = {}
		ply:ConCommand("pac_refresh")
	end)
	
	local cur_outfit_name = nil
	
	concommand.Add("pac_make",
	
	function(ply, command, arguments)
		if cur_outfit_name then
			local str = string.Implode(" ", arguments)
			file.Write("PAC/outfits/".. cur_outfit_name .. "/" .. arguments[1] .. ".txt", str )
			if arguments[19] == "true" then
				file.Write("PAC/".. arguments[1] .. ".txt", str )
			end
			ply:ConCommand("pac_refresh")
		end
	end)
	
	concommand.Add("pac_newoutfit",
	
	function(ply, command, arguments)
		file.CreateDir("PAC/outfits/"..arguments[1])
		ply:ConCommand("pac_refresh")
		cur_outfit_name = arguments[1]
	end)
	
	concommand.Add("pac_wearserver",

	function(ply, command, filename)
		for key, value in pairs(ply.pacparts) do
			if(value.name == fileName)then
				if ValidEntity(value) then
					value:Remove()
					value = nil
				else
					value = nil
				end
			end
		end
		
		local str = file.Read("PAC/" .. filename[1] .. ".txt")
		local arguments = string.Explode(" ", str)
		
		local name = arguments[1]
		local model = arguments[2]
		
		local x = arguments[3]
		local y = arguments[4]
		local z = arguments[5]
		
		local scale = arguments[6]
		
		local pitch = arguments[7]
		local yaw = arguments[8]
		local roll = arguments[9]
		
		local scalex = arguments[10]
		local scaley = arguments[11]
		local scalez = arguments[12]
		
		local r = arguments[13]
		local g = arguments[14]
		local b = arguments[15]
		local a = arguments[16]
		
		local bone = arguments[17]
		
		local material = arguments[18]
		
		local key = #ply.pacparts + 1
	
		ply.currentoutfit[name] = arguments
		ply.pacparts[key] = ents.Create("pacpart")
		ply.pacparts[key]:SetModel(model)
		ply.pacparts[key]:SetMaterial(material)
		
		ply.pacparts[key]:SetOwner(ply)
		
		ply.pacparts[key].name = arguments[1]
		
		ply.pacparts[key]:SetPos(ply:GetPos())
		ply.pacparts[key]:SetParent(ply)
		
		ply.pacparts[key]:SetNWString("model", model)
		ply.pacparts[key]:SetNWString("material", material)
		ply.pacparts[key]:SetNWString("bone", bone)
		ply.pacparts[key]:SetNWVector("offsetvector", Vector(x,y,z))
		ply.pacparts[key]:SetNWFloat("scale", scale)
		ply.pacparts[key]:SetNWAngle("angles", Angle(pitch,yaw,roll))
		ply.pacparts[key]:SetNWVector("scalevector", Vector(scalex,scaley,scalez))
		ply.pacparts[key]:SetColor(r,g,b,a)
		
		ply.pacparts[key]:Spawn()
		ply.pacparts[key]:SetNotSolid(true)
		
	end)

	concommand.Add("pac_wearclient",

	function(ply, command, arguments)
		for key, value in pairs(ply.pacparts) do
			if(value.name == fileName)then
				if ValidEntity(value) then
					value:Remove()
					value = nil
				else
					value = nil
				end
			end
		end

		local name = arguments[1]
		local model = arguments[2]
		
		local x = arguments[3]
		local y = arguments[4]
		local z = arguments[5]
		
		local scale = arguments[6]
		
		local pitch = arguments[7]
		local yaw = arguments[8]
		local roll = arguments[9]
		
		local scalex = arguments[10]
		local scaley = arguments[11]
		local scalez = arguments[12]
		
		local r = arguments[13]
		local g = arguments[14]
		local b = arguments[15]
		local a = arguments[16]
		
		local bone = arguments[17]
		
		local material = arguments[18]
		
		local key = #ply.pacparts + 1
				
		ply.pacparts[key] = ents.Create("pacpart")
		ply.pacparts[key]:SetModel(model)
		ply.pacparts[key]:SetMaterial(material)
		
		ply.pacparts[key]:SetOwner(ply)
		
		ply.pacparts[key].name = arguments[1]
		
		ply.pacparts[key]:SetPos(ply:GetPos())
		ply.pacparts[key]:SetParent(ply)
		
		ply.pacparts[key]:SetNWString("model", model)
		ply.pacparts[key]:SetNWString("material", material)
		ply.pacparts[key]:SetNWString("bone", bone)
		ply.pacparts[key]:SetNWVector("offsetvector", Vector(x,y,z))
		ply.pacparts[key]:SetNWFloat("scale", scale)
		ply.pacparts[key]:SetNWAngle("angles", Angle(pitch,yaw,roll))
		ply.pacparts[key]:SetNWVector("scalevector", Vector(scalex,scaley,scalez))
		ply.pacparts[key]:SetColor(r,g,b,a)
		
		ply.pacparts[key]:Spawn()
		ply.pacparts[key]:SetNotSolid(true)
		
	end)

	
	concommand.Add("pac_removeparts",

	function(ply, command, arguments)
		 for Index = 1, #ply.pacparts do
			if ValidEntity(ply.pacparts[Index]) then
				ply.pacparts[Index]:Remove()
			end
			ply.pacparts[Index] = nil
			ply.currentoutfit = {}
		end
	end)
	
	
	concommand.Add("pac_removepart",

	function(ply, command, arguments)
		for key, value in pairs(ply.pacparts) do
			local name = arguments[1]	
			if(value.name == name)then
				value:Remove()
				value = nil
			end
		end
	end)
	
	
	concommand.Add("pac_refresh",	
	
	function(ply)
		TOOL:Refresh(ply)
	end)

	function TOOL:Refresh(ply)
		local META = FindMetaTable("CRecipientFilter")   
		--datastream is broken so I have to make CRecipientFilter always return true what the hell
		function META:IsValid()   
			return true   
		end
		
		local serverfiles = self:GetFiles()
		datastream.StreamToClients(ply, "PAC_Files", serverfiles)
	end
	
	
	concommand.Add("pac_requestserverparts",
	
	function(ply)
		local META = FindMetaTable("CRecipientFilter")   
		--datastream is broken so I have to make CRecipientFilter always return true what the hell
		function META:IsValid()   
			return true   
		end
		datastream.StreamToClients(ply, "PAC_PartInfo", ply.currentoutfit)
	end)
end

local servertags = GetConVarString("sv_tags") //Thanks PHX!

if servertags == nil then
	RunConsoleCommand("sv_tags", "PAC")
elseif not string.find(servertags, "PAC") then
	RunConsoleCommand("sv_tags", servertags .. ",PAC")
end
